<?php

namespace Hari\Test\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PageTransformer extends TransformerAbstract
{
    public function transform(\Hari\Test\Models\Page $page)
    {
        return [
            'id'                => $page->getRouteKey(),
            'key'               => [
                'public'    => $page->getPublicKey(),
                'route'     => $page->getRouteKey(),
            ], 
            'name'              => $page->name,
            'title'             => $page->title,
            'heading'           => $page->heading,
            'sub_heading'       => $page->sub_heading,
            'abstract'          => $page->abstract,
            'content'           => $page->content,
            'meta_title'        => $page->meta_title,
            'meta_keyword'      => $page->meta_keyword,
            'meta_description'  => $page->meta_description,
            'banner'            => $page->banner,
            'images'            => $page->images,
            'compile'           => $page->compile,
            'view'              => $page->view,
            'category'          => $page->category,
            'order'             => $page->order,
            'slug'              => $page->slug,
            'upload_folder'     => $page->upload_folder,
            'deleted_at'        => $page->deleted_at,
            'PRIMARY'           => $page->PRIMARY,
            'url'               => [
                'public'    => trans_url('test/'.$page->getPublicKey()),
                'user'      => guard_url('test/page/'.$page->getRouteKey()),
            ], 
            'status'            => trans('app.'.$page->status),
            'created_at'        => format_date($page->created_at),
            'updated_at'        => format_date($page->updated_at),
        ];
    }
}